Verified Role Upgrade

Verified role upgrade with payment verification

Upgrade user role after verifying payment and KYC. Prevents replay attacks.

AuthBearer (JWT)
GroupVerified Role Upgrade
Rate limitSee Rate Limits
POST/api/orgs/{orgId}/users/{userId}/upgrade

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, VerifiedRoleUpgradeApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const verifiedroleupgrade = new VerifiedRoleUpgradeApi(configuration);
import { Configuration, VerifiedRoleUpgradeApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const verifiedroleupgrade = new VerifiedRoleUpgradeApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await verifiedroleupgrade.verifiedRoleUpgrade(
  "org_cbuJZVaoEl",
  "usr_SkE0oqqPeQ1tCW",
  {
    targetRole: "alarm index",
    paymentIntentId: "kzdKU0MOPQhJE5La",
    verificationId: "l0onyjMXKv3WIU2c"
  }
);
const { data: result } = await verifiedroleupgrade.verifiedRoleUpgrade(
  "org_cbuJZVaoEl",
  "usr_SkE0oqqPeQ1tCW",
  {
    targetRole: "alarm index",
    paymentIntentId: "kzdKU0MOPQhJE5La",
    verificationId: "l0onyjMXKv3WIU2c"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes-
userIdstringYes-

Request Body

json
{
  "targetRole": "seller",
  "paymentIntentId": "ZrP4bAsauUZCvQgE",
  "verificationId": "kVZ42097OYVJ6Ulf"
}
{
  "targetRole": "seller",
  "paymentIntentId": "ZrP4bAsauUZCvQgE",
  "verificationId": "kVZ42097OYVJ6Ulf"
}

Responses

200Role upgraded successfully
json
{
  "message": "Role upgraded successfully",
  "role": "seller",
  "previousRole": "customer",
  "upgradeLog": "Verified via payment pi_abc123"
}
{
  "message": "Role upgraded successfully",
  "role": "seller",
  "previousRole": "customer",
  "upgradeLog": "Verified via payment pi_abc123"
}
403Payment verification failed or insufficient permissions
404User or role not found

Errors

CodeMeaning
403Payment verification failed or insufficient permissions
404User or role not found
Edit this page on GitHub
Chat with us